Page MenuHome

BGE: Add icons to collision shapes.
ClosedPublic

Authored by Thomas Szepe (hg1) on Jul 13 2015, 3:28 PM.

Details

Summary

This patch adds icons to the physic collision shapes.
Adding a new capsule shape 'mesh_capsule' icon which represent the shape better then the metaballs icon.
And replace the metaballs icon for the Blender collision shape.

Diff Detail

Repository
rB Blender

Event Timeline

Thomas Szepe (hg1) retitled this revision from to BGE: Add icons to collision shapes..Jul 13 2015, 3:28 PM
Thomas Szepe (hg1) updated this object.
Thomas Szepe (hg1) updated this revision to Diff 4638.

Actually I don't know if a patch with binary files in it works correctly from Phabricator. If not I will upload the blender_icons.svg, icon16_mesh_capsule.dat and icon32_mesh_capsule.dat here.

If it is better to split the patch into two please (one for BGE one for Blender) please let me know.

Jorge Bernal (lordloki) accepted this revision.

Looks good to me.

I think that it would be better to make a commit with *.svg, *.dat and UI_icons.h and after another commit using the new icon in the rna part.

This revision is now accepted and ready to land.Jul 14 2015, 7:16 AM
Campbell Barton (campbellbarton) requested changes to this revision.

This is saving from an older inkscape making 100's of unrelated changes to the XML, probably they can be removed.

release/datafiles/blender_icons.svg
38498

Seems these changes aren't needed?

Could all these just be stripped out?

This revision now requires changes to proceed.Jul 14 2015, 10:27 AM
Thomas Szepe (hg1) marked an inline comment as done.
Thomas Szepe (hg1) updated this revision to Diff 4646.

This is saving from an older inkscape making 100's of unrelated changes to the XML, probably they can be removed.

I think we don't see the text changes of the svg file in the commit.
The 100's of unrelated changes are by changing the zoom and position of the view.

Anyway, I manually deleted the unnecessary changes and the version info from the patch. I tested the modified patch with with Inkscape and made a compile test.

@Campbell. Is it necessary to split my path into two like Jorge suggest or not?

Thomas Szepe (hg1) updated this revision to Diff 4675.

Update blender_icons.svg for actual master.

@Thomas Szepe (hg1) : blender_icons.svg failed patch apply, can you fix this conflict ?

I will fixing that, before I commit this patch (Blender 2.77).

Porteries Tristan (panzergame) accepted this revision.

Other than the conflicted .svg it looks good to me, nice work.

Thomas Szepe (hg1) updated this revision to Diff 5082.
This revision is now accepted and ready to land.Oct 11 2015, 2:12 PM
This revision was automatically updated to reflect the committed changes.